Skip to main content
GET
/
payment-methods
List payment methods
curl --request GET \
  --url https://commerce1.on-hellgate.dev/payment-methods \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "data": {},
      "holder": "<string>",
      "status": "<string>",
      "token": "<string>",
      "type": "CARD"
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

customer_id
string

Filter by customer ID

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
PaymentMethodResponse · object[]
pagination
PaginationSchema · object